QGIS Application - Feature request #1496
Setting the encoding type on new shapefiles
2009-01-20 03:00 AM - zachariahyoder -

Status: Closed

Priority: Low

Assignee: nobody -

Category:

Pull Request or Patch supplied: Resolution: worksforme
Easy fix?: No Copied to github as #: 11556
Description

It appears that the user is currently not given a choice regarding which encoding they would like to use for new shapfiles.

| suggest adding an option in New Vector Layer dialog to choose the encoding when first making a new vector/shapefile. (Layer -> New
Vector Layer -> New Vector Layer dialog)

P.S. A big thank you to the people who spend their time to implement these important features!

(Note: | have made this new ticket based on #1310, which seems to be fixed.)

History

#1 - 2009-01-20 03:04 AM - zachariahyoder -

Following cdavilam in #1310, | think Internationalisation is a better Component that Vectors in this case.

#2 - 2009-01-20 07:54 PM - Steven Mizuno

Once you have defined the geometry type and attributes, then click OK, you can choose the encoding in the file save dialog.

#3 - 2009-01-21 12:38 AM - zachariahyoder -

- Resolution set to worksforme

- Status changed from Open to Closed

Err... that's embarrassing :)

I wonder how long that has been implemented? Surely it wasn'tin 0.10.0? But that really doesn't matter any more.

Also, having the default value as UTF-8 was a good change! (I think a change between 0.10.0 and 0.11.0, but | can't quickly check) As they commonly say
in Nigeria, well done!

Thanks.

#4 - 2009-08-22 01:01 AM - Anonymous

Milestone Version 1.0.1 deleted
